/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.youtube.model;

import com.google.api.client.json.GenericJson;

/**
 * Details about a social network post.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class ActivityContentDetailsSocial extends GenericJson {

  /**
   * The author of the social network post.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String author;

  /**
   * An image of the post's author.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String imageUrl;

  /**
   * The URL of the social network post.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String referenceUrl;

  /**
   * The resourceId object encapsulates information that identifies the resource associated with a
   * social network post.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private ResourceId resourceId;

  /**
   * The name of the social network.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String type;

  /**
   * The author of the social network post.
   * The value returned may be {@code null}.
   */
  public String getAuthor() {
    return author;
  }

  /**
   * The author of the social network post.
   * The value set may be {@code null}.
   */
  public ActivityContentDetailsSocial setAuthor(String author) {
    this.author = author;
    return this;
  }

  /**
   * An image of the post's author.
   * The value returned may be {@code null}.
   */
  public String getImageUrl() {
    return imageUrl;
  }

  /**
   * An image of the post's author.
   * The value set may be {@code null}.
   */
  public ActivityContentDetailsSocial setImageUrl(String imageUrl) {
    this.imageUrl = imageUrl;
    return this;
  }

  /**
   * The URL of the social network post.
   * The value returned may be {@code null}.
   */
  public String getReferenceUrl() {
    return referenceUrl;
  }

  /**
   * The URL of the social network post.
   * The value set may be {@code null}.
   */
  public ActivityContentDetailsSocial setReferenceUrl(String referenceUrl) {
    this.referenceUrl = referenceUrl;
    return this;
  }

  /**
   * The resourceId object encapsulates information that identifies the resource associated with a
   * social network post.
   * The value returned may be {@code null}.
   */
  public ResourceId getResourceId() {
    return resourceId;
  }

  /**
   * The resourceId object encapsulates information that identifies the resource associated with a
   * social network post.
   * The value set may be {@code null}.
   */
  public ActivityContentDetailsSocial setResourceId(ResourceId resourceId) {
    this.resourceId = resourceId;
    return this;
  }

  /**
   * The name of the social network.
   * The value returned may be {@code null}.
   */
  public String getType() {
    return type;
  }

  /**
   * The name of the social network.
   * The value set may be {@code null}.
   */
  public ActivityContentDetailsSocial setType(String type) {
    this.type = type;
    return this;
  }

}
