/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.youtube.model;

import com.google.api.client.json.GenericJson;

/**
 * Internal representation of thumbnails for a YouTube resource.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class ThumbnailDetails extends GenericJson {

  /**
   * The default image for this resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key("default")
  private Thumbnail youtubeDefault;

  /**
   * The high quality image for this resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Thumbnail high;

  /**
   * The maximum resolution quality image for this resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Thumbnail maxres;

  /**
   * The medium quality image for this resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Thumbnail medium;

  /**
   * The standard quality image for this resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Thumbnail standard;

  /**
   * The default image for this resource.
   * The value returned may be {@code null}.
   */
  public Thumbnail getDefault() {
    return youtubeDefault;
  }

  /**
   * The default image for this resource.
   * The value set may be {@code null}.
   */
  public ThumbnailDetails setDefault(Thumbnail youtubeDefault) {
    this.youtubeDefault = youtubeDefault;
    return this;
  }

  /**
   * The high quality image for this resource.
   * The value returned may be {@code null}.
   */
  public Thumbnail getHigh() {
    return high;
  }

  /**
   * The high quality image for this resource.
   * The value set may be {@code null}.
   */
  public ThumbnailDetails setHigh(Thumbnail high) {
    this.high = high;
    return this;
  }

  /**
   * The maximum resolution quality image for this resource.
   * The value returned may be {@code null}.
   */
  public Thumbnail getMaxres() {
    return maxres;
  }

  /**
   * The maximum resolution quality image for this resource.
   * The value set may be {@code null}.
   */
  public ThumbnailDetails setMaxres(Thumbnail maxres) {
    this.maxres = maxres;
    return this;
  }

  /**
   * The medium quality image for this resource.
   * The value returned may be {@code null}.
   */
  public Thumbnail getMedium() {
    return medium;
  }

  /**
   * The medium quality image for this resource.
   * The value set may be {@code null}.
   */
  public ThumbnailDetails setMedium(Thumbnail medium) {
    this.medium = medium;
    return this;
  }

  /**
   * The standard quality image for this resource.
   * The value returned may be {@code null}.
   */
  public Thumbnail getStandard() {
    return standard;
  }

  /**
   * The standard quality image for this resource.
   * The value set may be {@code null}.
   */
  public ThumbnailDetails setStandard(Thumbnail standard) {
    this.standard = standard;
    return this;
  }

}
